# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
if(CMAKE_VERSION VERSION_LESS "2.8.12")
   message(FATAL_ERROR "CMake >= 2.8.12 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.8.12...4.0)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS KDE4Workspace__kephal KDE4Workspace__kworkspace KDE4Workspace__plasmaclock KDE4Workspace__plasmagenericshell KDE4Workspace__taskmanager KDE4Workspace__lsofui KDE4Workspace__processcore KDE4Workspace__processui KDE4Workspace__ksignalplotter KDE4Workspace__ksgrd KDE4Workspace__kdecorations KDE4Workspace__kwineffects KDE4Workspace__kwinglutils KDE4Workspace__kscreensaver KDE4Workspace__weather_ion)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr/pkg")

# Create imported target KDE4Workspace__kephal
add_library(KDE4Workspace__kephal SHARED IMPORTED)

set_target_properties(KDE4Workspace__kephal PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtCore;-lpthread;Qt4::QtGui;KDE4__kdeui"
)

# Create imported target KDE4Workspace__kworkspace
add_library(KDE4Workspace__kworkspace SHARED IMPORTED)

set_target_properties(KDE4Workspace__kworkspace PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libX11.so;/usr/X11R7/lib/libXext.so;/usr/pkg/lib/libXft.so;/usr/X11R7/lib/libXau.so;/usr/X11R7/lib/libXdmcp.so;/usr/X11R7/lib/libXpm.so;KDE4__plasma"
)

# Create imported target KDE4Workspace__plasmaclock
add_library(KDE4Workspace__plasmaclock SHARED IMPORTED)

set_target_properties(KDE4Workspace__plasmaclock PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__plasma;KDE4__kdeui;KDE4__kio;KDE4Workspace__kephal"
)

# Create imported target KDE4Workspace__plasmagenericshell
add_library(KDE4Workspace__plasmagenericshell SHARED IMPORTED)

set_target_properties(KDE4Workspace__plasmagenericshell PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__plasma;KDE4__kdeui;KDE4__kfile;Qt4::QtScript;Qt4::QtDeclarative;Qt4::QtUiTools;KDE4Workspace__kworkspace;KDE4Workspace__kephal;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libX11.so;/usr/X11R7/lib/libXext.so;/usr/pkg/lib/libXft.so;/usr/X11R7/lib/libXau.so;/usr/X11R7/lib/libXdmcp.so;/usr/X11R7/lib/libXpm.so"
)

# Create imported target KDE4Workspace__taskmanager
add_library(KDE4Workspace__taskmanager SHARED IMPORTED)

set_target_properties(KDE4Workspace__taskmanager PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4Workspace__processcore;kactivities;KDE4__kdeui;KDE4__kio;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libX11.so;/usr/X11R7/lib/libXext.so;/usr/pkg/lib/libXft.so;/usr/X11R7/lib/libXau.so;/usr/X11R7/lib/libXdmcp.so;/usr/X11R7/lib/libXpm.so;/usr/X11R7/lib/libXfixes.so;/usr/X11R7/lib/libXrender.so;/usr/X11R7/lib/libXcomposite.so;KDE4Workspace__kephal"
)

# Create imported target KDE4Workspace__lsofui
add_library(KDE4Workspace__lsofui SHARED IMPORTED)

set_target_properties(KDE4Workspace__lsofui PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kio"
)

# Create imported target KDE4Workspace__processcore
add_library(KDE4Workspace__processcore SHARED IMPORTED)

set_target_properties(KDE4Workspace__processcore PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;/usr/lib/libz.so;KDE4__kdecore;kvm;rt"
)

# Create imported target KDE4Workspace__processui
add_library(KDE4Workspace__processui SHARED IMPORTED)

set_target_properties(KDE4Workspace__processui PROPERTIES
  INTERFACE_LINK_LIBRARIES "/usr/X11R7/lib/libXRes.so;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libSM.so;/usr/X11R7/lib/libICE.so;/usr/X11R7/lib/libX11.so;/usr/X11R7/lib/libXext.so;/usr/pkg/lib/libXft.so;/usr/X11R7/lib/libXau.so;/usr/X11R7/lib/libXdmcp.so;/usr/X11R7/lib/libXpm.so;KDE4__kdeui;Qt4::QtScript;Qt4::QtWebKit;KDE4Workspace__processcore;KDE4__kdeui;KDE4Workspace__processcore"
)

# Create imported target KDE4Workspace__ksignalplotter
add_library(KDE4Workspace__ksignalplotter SHARED IMPORTED)

set_target_properties(KDE4Workspace__ksignalplotter PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;KDE4__kdeui"
)

# Create imported target KDE4Workspace__ksgrd
add_library(KDE4Workspace__ksgrd SHARED IMPORTED)

set_target_properties(KDE4Workspace__ksgrd PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdecore;Qt4::QtCore;-lpthread;Qt4::QtNetwork"
)

# Create imported target KDE4Workspace__kdecorations
add_library(KDE4Workspace__kdecorations SHARED IMPORTED)

set_target_properties(KDE4Workspace__kdecorations PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;KDE4__kdeui"
)

# Create imported target KDE4Workspace__kwineffects
add_library(KDE4Workspace__kwineffects SHARED IMPORTED)

set_target_properties(KDE4Workspace__kwineffects PROPERTIES
  INTERFACE_LINK_LIBRARIES "Qt4::QtGui;KDE4__kdeui;/usr/X11R7/lib/libX11.so;/usr/X11R7/lib/libXext.so;/usr/X11R7/lib/libXrandr.so;/usr/X11R7/lib/libXdamage.so;/usr/X11R7/lib/libxcb.so;/usr/X11R7/lib/libX11-xcb.so;/usr/X11R7/lib/libxcb-xfixes.so;/usr/X11R7/lib/libxcb-render.so"
)

# Create imported target KDE4Workspace__kwinglutils
add_library(KDE4Workspace__kwinglutils SHARED IMPORTED)

set_target_properties(KDE4Workspace__kwinglutils PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kdeui;Qt4::QtGui;/usr/X11R7/lib/libX11.so;/usr/X11R7/lib/libXext.so;/usr/X11R7/lib/libXrandr.so;/usr/X11R7/lib/libXdamage.so;/usr/X11R7/lib/libxcb.so;/usr/X11R7/lib/libX11-xcb.so;/usr/X11R7/lib/libxcb-xfixes.so;/usr/X11R7/lib/libxcb-render.so;KDE4Workspace__kwineffects;/usr/X11R7/lib/libEGL.so;/usr/X11R7/lib/libGL.so;/usr/X11R7/lib/libGL.so;/usr/X11R7/lib/libGL.so;/usr/X11R7/lib/libGL.so"
)

# Create imported target KDE4Workspace__kscreensaver
add_library(KDE4Workspace__kscreensaver SHARED IMPORTED)

set_target_properties(KDE4Workspace__kscreensaver PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kio;/usr/X11R7/lib/libX11.so"
)

# Create imported target KDE4Workspace__weather_ion
add_library(KDE4Workspace__weather_ion SHARED IMPORTED)

set_target_properties(KDE4Workspace__weather_ion PROPERTIES
  INTERFACE_LINK_LIBRARIES "KDE4__kio;KDE4__plasma;KDE4__kdeui;KDE4__kio;KDE4__plasma"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/KDE4WorkspaceLibraryTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
